This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 921448 (CVE-2013-1858)

Summary: CVE-2013-1858 kernel: CLONE_NEWUSER | CLONE_FS chroot exploit
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, mjc, npajkovs, plougher, pmatouse, rcvalle, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130313,reported=20130313,source=oss-security,cvss2=7.2/AV:L/AC:L/Au:N/C:C/I:C/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected,cwe=CWE-284
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-10 07:50:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 921413    

Description Prasad J Pandit 2013-03-14 04:50:15 EDT
Linux kernels which support unprivileged user namespaces (CLONE_NEWUSER) and at the same time allow sharing file system information (CLONE_FS) between parent process and its newly clone(2)d child process in the new user namespace, are vulnerable to a privilege escalation flaw as presented by Sebastian Krahmer
in his chroot exploit [1].

  [1] http://stealth.openwall.net/xSports/clown-newuser.c

An unprivileged local user could use this flaw to gain root privileges on a system.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/e66eded8309ebf679d3d3c1f5820d1f2ca332c71

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/03/13/8
Comment 1 Prasad J Pandit 2013-03-14 04:56:09 EDT
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG 2.

This issue did not affect the versions of the Linux kernel as shipped with Fedora 17 and 18 as they were not built with CONFIG_USER_NS configuration option.